Loading...
Searching...
No Matches
casacore::FitsFPUtil Class Reference
fits package (libcasa_fits) » FITS_module

Utility functions for floating point values. More...

`#include <fits.h>`

## Static Public Member Functions

static Bool | isFP (const float *)
| These functions are useful to tell if some type is a floating point type.
static Bool | isFP (const double *)
static Bool | isFP (const void *)
static void | setNaN (double &val)
| For blanking purposes, we need to be able to get a NaN.
static void | setNaN (float &val)

## Detailed Description

Utility functions for floating point values.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 1137 of file fits.h.

## Member Function Documentation

## isFP() [1/3]

Bool casacore::FitsFPUtil::isFP | ( | const double * |  | ) |

static

## isFP() [2/3]

Bool casacore::FitsFPUtil::isFP | ( | const float * |  | ) |

static

These functions are useful to tell if some type is a floating point type.

This is useful in a templated function, where the processing can vary depending on whether the type is FP or not (e.g. blank handling).

## isFP() [3/3]

Bool casacore::FitsFPUtil::isFP | ( | const void * |  | ) |

static

## setNaN() [1/2]

void casacore::FitsFPUtil::setNaN | ( | double & | val | ) |

static

For blanking purposes, we need to be able to get a NaN.

The NaN we set is all bits on.

## setNaN() [2/2]

void casacore::FitsFPUtil::setNaN | ( | float & | val | ) |

static

The documentation for this class was generated from the following file:

- fits/FITS/fits.h